### Function

# Gsk rect_snap_get_direction

unstable since: 4.24

#### Declaration [src]

    GskSnapDirection
    gsk_rect_snap_get_direction (
      GskRectSnap snap,
      GskSide side
    )

#### Description [src]

Queries the way a given border is snapped.

Available since: 4.24

#### Parameters

`snap`

  Type: `GskRectSnap`

  A rectangle snap.

`side`

  Type: `GskSide`

  The border to query.

#### Return value

Type: `GskSnapDirection`

The direction the given border is snapped.